<link rel="import" href="chrome://resources/html/polymer.html">

<link rel="import" href="chrome://resources/html/web_ui_listener_behavior.html">
<link rel="import" href="chrome://resources/cr_elements/cr_toggle/cr_toggle.html">
<link rel="import" href="../../../../settings_shared_css.html">
<link rel="import" href="../../../metrics_recorder.html">

<dom-module id="settings-plugin-vm-shared-usb-devices">
  <template>
    <style include="settings-shared">
      .toggle-container {
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
        justify-content: space-between;
      }
    </style>
    <div class="settings-box first">
      <div class="settings-box-text">
        $i18n{pluginVmSharedUsbDevicesDescription}
        <div class="secondary" id="secondaryText">
          $i18n{pluginVmSharedUsbDevicesExtraDescription}
        </div>
      </div>
    </div>
    <div class="settings-box secondary continuation"
        hidden="[[sharedUsbDevices_.length]]">
       $i18n{pluginVmSharedUsbDevicesListEmptyMessage}
    </div>
    <template is="dom-if" if="[[sharedUsbDevices_.length]]" restamp>
      <div class="list-frame vertical-list">
        <template is="dom-repeat" items="[[sharedUsbDevices_]]">
          <div class="list-item toggle-container">
            <div class="label">[[item.label]]</div>
            <cr-toggle class="toggle" checked="[[item.shared]]"
                on-change="onDeviceSharedChange_"
                aria-label$="[[item.label]]">
            </cr-toggle>
          </div>
        </template>
      </div>
    </template>
    <template is="dom-if" if="[[reassignDevice_]]" restamp>
      <cr-dialog id="reassignDialog" close-text="$i18n{close}"
          on-cancel="onReassignCancel_" show-on-attach>
        <div slot="title">
          $i18n{pluginVmSharedUsbDevicesInUse}
        </div>
        <div slot="body">
          [[getReassignDialogText_(reassignDevice_)]]
        </div>
        <div slot="button-container">
          <cr-button id="cancel" class="cancel-button"
              on-click="onReassignCancel_">
            $i18n{cancel}
          </cr-button>
          <cr-button id="continue" class="action-button"
              on-click="onReassignContinueClick_">
            $i18n{continue}
          </cr-button>
        </div>
      </cr-dialog>
    </template>
  </template>
  <script src="plugin_vm_shared_usb_devices.js"></script>
</dom-module>
